package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 丢失量分类汇总-接口出参
 * @author: songxl
 * @time: 2022/3/1 10:30
 */
@ApiModel(value = "丢失量分类汇总-接口出参")
@Getter
@Setter
public class BlockLossTypeGatherDTO implements Serializable {


    private static final long serialVersionUID = -4656915107891039438L;
    @ApiModelProperty(value = "HIS数量")
    private Integer hisNum;
    @ApiModelProperty(value = "接口日志数量")
    private Integer logNum;
    @ApiModelProperty(value = "实际数量")
    private Integer realNum;
    @ApiModelProperty(value = "合计丢失数量")
    private Integer allLossNum;
    @ApiModelProperty(value = "外部丢失数量")
    private Integer outLossNum;
    @ApiModelProperty(value = "外部文书丢失数量")
    private Integer outRecNum;
    @ApiModelProperty(value = "外部病历号丢失数量")
    private Integer outCodeNum;
    @ApiModelProperty(value = "外部病案首页丢失数量")
    private Integer outHomePageNum;
    @ApiModelProperty(value = "内部丢失数量")
    private Integer inLossNum;
    @ApiModelProperty(value = "内部文书丢失数量")
    private Integer inRecNum;
    @ApiModelProperty(value = "内部病历号丢失数量")
    private Integer inCodeNum;
    @ApiModelProperty(value = "内部病案首页丢失数量")
    private Integer inHomePageNum;


}
